> For the complete documentation index, see [llms.txt](https://docs.cloudfabrix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cloudfabrix.io/rda/rda-userguide/rda-data-management-cfxdm/cfxdm-dm-fixcolumns.md).

# cfxdm - dm:fixcolumns

**dm:fixcolumns:** This cfxdm tag allows the user to remove the special characters like @,. (dot) etc from a column name. If there is a special character in between a column name (ex: First.Last), it replaces it with  (underscore) (Ex: First\_Last)

**dm:fixcolumns** synta&#x78;**:** It doesn't require any arguments. Just ingest the data into this tag using a pipe (-->)

In the below example, for a reference, we are going to use **Netflow data that is ingested into Elasticsearch** as an extension to query the data and ingest it into **dm:mergecolumns** to select specific columns using include/exclude or both together and merge them into a single target column.

Enter the below command to select **Netflow tag (#es:netflow**). (In this example, **es** name is used as a label to identify Elasticsearch extension and it's tags that are pointing to Netflow data index. The label is defined while adding the extension in cfxdx configuration file or through UI)

```
tag #es:netflow
```

![](/files/-MViGo-mzJmGerXr3d_1)

**Example 1:** Select three columns using the GET option from the Netflow tag.

Get the TCP protocol data from Elasticsearch Netflow tag (**#es:netflow**) for the last 1 hour and select the below three columns and ingest them into dm:fixcolumns tag to rename the names of the columns by replacing the special character (. (dot) with \_ (underscore).

**Source Columns:**

* flow\.client.addr
* flow\.server.addr
* flow\.service.port

**Output Columns:** (after replacing the special character ". (dot)" with "\_ (underscore)"

* flow\_client\_addr
* flow\_server\_addr
* flow\_service\_port

```
data * get `flow.client_addr`,`flow.server_addr`,`flow.service_port` --> dm:fixcolumns
```

![](/files/-MVyX6ltcSQ5BD1C3RlW)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cloudfabrix.io/rda/rda-userguide/rda-data-management-cfxdm/cfxdm-dm-fixcolumns.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
